Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.emfstore.core.internal
Class ESWorkspaceProviderProviderImpl

    java.lang.Object
      org.eclipse.emf.ecp.emfstore.core.internal.ESWorkspaceProviderProviderImpl

All Implemented Interfaces:
  ESWorkspaceProviderProvider

    public class ESWorkspaceProviderProviderImpl

extends Object
implements ESWorkspaceProviderProvider

Author:
  neilmack This class provides the relevant ESWorkspaceProvider

Constructor Summary
`ESWorkspaceProviderProviderImpl()` Default constructor.
`ESWorkspaceProviderProviderImpl(String aToken)` constructor.

Method Summary
`org.eclipse.emf.emfstore.internal.client.model.ESWorkspaceProviderImpl` | `getESWorkspaceProviderInstance()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ESWorkspaceProviderProviderImpl

    public ESWorkspaceProviderProviderImpl()

  Default constructor.

### ESWorkspaceProviderProviderImpl

    public ESWorkspaceProviderProviderImpl(String aToken)

  constructor. This constructor takes a token, the getESWorkspaceProviderInstance mothod of instances that have a token will try to recieve ESWorkspaceProviderImpl with the same token. This constructor is useful in applications where there may be more than one ESWorkspaceProviderInstance such as web based applications

  Parameters:
    `aToken` - a token to associate with the instance

Method Detail

### getESWorkspaceProviderInstance

    public org.eclipse.emf.emfstore.internal.client.model.ESWorkspaceProviderImpl getESWorkspaceProviderInstance()

  Specified by:
    `getESWorkspaceProviderInstance` in interface `ESWorkspaceProviderProvider`
  Returns:
    an `ESWorkspaceProviderImpl`
  See Also:
    `ESWorkspaceProviderProvider.getESWorkspaceProviderInstance()`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.